Name:		qaquarelle
Version:	0.0.4
Release:	%mkrel 19
License:	GPLv3
Summary:	Digital painting
URL:		https://qaquarelle.sourceforge.net/
Group:		Graphics/Editors and Converters
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:	ru.ts
Source2:	%{name}.desktop
Source3:	%{name}.png
Patch0:		%{name}-0.0.4-mga-fix-toolbar.patch
Patch1:		%{name}-0.0.4-mga-debug-output.patch
Patch2:		%{name}-0.0.4-mga-arm-build.patch
Patch3:		qaquarelle-0.0.4-gcc7.patch
Patch4:		qaquarelle-0.0.4-str-fmt.patch
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	dos2unix

%description
Program to paint with tablets using traditional drawing techniques.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%ifarch %{arm} aarch64
dos2unix common/modules/arrays/arraygrid_patch.cpp
%patch -P 2 -p1
%endif
%patch -P 3 -p1 -b .gcc7
%patch -P 4 -p1 -b .strfmt

chmod -x README
chmod -x PERFORMANCE
cp -f %{SOURCE1} .
sed -i -e "s|target.path = /usr/bin|target.path = %{_datadir}/%{name}|g" client/qasuiteapp/qasuiteapp.pro
sed -i -e "s|target.path = /usr/bin|target.path = %{_datadir}/%{name}|g" server/qasuite_server/qasuite_server.pro
sed -i -e "s|-lShiny|-lShiny -lGLU|g" ./client/qasuiteapp/qasuiteapp.pro
sed -i -e 's|loc_path = DATA_PATH + "locale/";|loc_path = DATA_PATH + "/locale/";|g' client/qasuiteapp/main.cpp
sed -i -e 's|translator.load(loc_path);|translator.load("qaquarelle", loc_path);|g' client/qasuiteapp/main.cpp
sed -i -e 's|/../share/qaquarelle||g' client/qasuiteapp/main.cpp
echo "TRANSLATIONS = ./ru.ts" >> qasuite.pro

sed -i -e '524s|QFile file|QFile newfile|' -e '525s|\&file|\&newfile|' -e '628s|QFile file|QFile newfile|' -e '629s|\&file|\&newfile|' client/modules/connector_loopback/connector.cpp

%build
# we use qmake and make, because any macroses does not work
qmake QMAKE_CFLAGS="%{optflags}" QMAKE_CXXFLAGS="%{optflags}" QMAKE_LFLAGS="%{ldflags}"
lrelease ./qasuite.pro
mkdir -p ./bin/locale/ru
cp -f ./ru.qm ./bin/locale/ru/%{name}.qm
make

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_datadir}/%{name}/locale
cp -rf ./bin/locale/* %{buildroot}%{_datadir}/%{name}/locale/

mkdir -p %{buildroot}%{_bindir}
echo "#!/bin/bash" > %{buildroot}%{_bindir}/%{name}
echo "exec %{_datadir}/%{name}/%{name}" >> %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}

chmod -x %{buildroot}%{_datadir}/%{name}/shaders/*/*.glsl
chmod -x %{buildroot}%{_datadir}/%{name}/pigments/*.xml
chmod -x %{buildroot}%{_datadir}/%{name}/images/paper/*.xml

%files
%doc README PERFORMANCE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.0.4-19.mga10
+ Revision: 2232321
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.0.4-18.mga10
+ Revision: 2128100
- Rebuild for patchN deprecation

* Mon Apr 04 2022 umeabot <umeabot> 0.0.4-17.mga9
+ Revision: 1843051
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.0.4-16.mga8
+ Revision: 1516221
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.0.4-15.mga7
+ Revision: 1300632
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 0.0.4-14.mga7
+ Revision: 1245325
- rediff arm patch to work with aarch64 also
- build using mga flags
- add patch to fix str fmt

* Mon Oct 09 2017 cjw <cjw> 0.0.4-13.mga7
+ Revision: 1170617
- patch3: fix build with gcc 7

* Sat Jun 17 2017 pterjan <pterjan> 0.0.4-12.mga6
+ Revision: 1107865
- Extend arm patch

* Tue Feb 09 2016 daviddavid <daviddavid> 0.0.4-10.mga6
+ Revision: 952885
- add patch2 to try to fix arm build

* Tue Feb 09 2016 umeabot <umeabot> 0.0.4-9.mga6
+ Revision: 951815
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 0.0.4-8.mga5
+ Revision: 809131
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.0.4-7.mga5
+ Revision: 746823
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-6.mga5
+ Revision: 688461
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 alexl <alexl> 0.0.4-5.mga5
+ Revision: 662713
- updated Russian translation
- fixed empty string for toolbar (fix-toolbar.patch)
- moved debug output from current dir into /tmp (debug-output.patch)

* Thu Aug 14 2014 alexl <alexl> 0.0.4-4.mga5
+ Revision: 662509
- translated desktop file
- fixed incorrect author's permissions (rpmlint)
- changed launch script

* Tue Apr 08 2014 alexl <alexl> 0.0.4-3.mga5
+ Revision: 612916
- some optimizations for spec
+ dams <dams>
- clean/update specfile

* Mon Apr 07 2014 alexl <alexl> 0.0.4-1.mga5
+ Revision: 612772
- imported package qaquarelle

